﻿$ErrorActionPreference = 'Stop'; 
$toolsDir   = "$(Split-Path -parent $MyInvocation.MyCommand.Definition)"


$url        = 'https://1cfresh.com/downloads/platform/setuptc_' + $env:ChocolateyPackageVersion + '.exe' 
$url64        = 'https://1cfresh.com/downloads/platform/setuptc_' + $env:ChocolateyPackageVersion + '_x86-64.exe' 

$packageZipArgs = @{
  packageName   = $env:ChocolateyPackageName
  unzipLocation = $toolsDir + '/setup'
  url           = $url
  url64bit		= $url64
  validExitCodes= @(0, 3010, 1641)
  Checksum = '69C721AA06A353DEA9CB4F3BF0575F43A93C890CA24D56673B4BA6460245BA30'
  ChecksumType = 'sha256'
  Checksum64 = 'E9F7220D593A75CD5908134479F403983D1DD024FC43655B3EF81040F09C2D62'
  ChecksumType64 = 'sha256'
}


$packageMSIArgs = @{
  packageName   = $env:ChocolateyPackageName
  fileType      = 'MSI' 
  softwareName  = '1c*' 

    file64		  = $toolsDir + '\setup\1CEnterprise 8 Thin client (x86-64).msi'
    file          = $toolsDir + '\setup\1CEnterprise 8 Thin client.msi'
    silentArgs    = "/qn DESIGNERALLCLIENTS=1 THICKCLIENT=1 THINCLIENTFILE=1 THINCLIENT=1 WEBSERVEREXT=0 SERVER=0 CONFREPOSSERVER=0 CONVERTER77=0 SERVERCLIENT=0 LANGUAGES=RU"
  validExitCodes= @(0, 3010, 1641)
}

Write-Output "install 1с"
Install-ChocolateyZipPackage @packageZipArgs
Install-ChocolateyInstallPackage @packageMSIArgs
Remove-Item -LiteralPath $toolsDir'\setup' -Force -Recurse